/*
 * mwDraw v1.0.0
 *
 * URL: http://blog.wantedlink.de
 * (c) 2015 Mario Wolf
 */

var mwDraw = function(options) {

	"use strict";

	var t = this;
	t.options = options || {}; // handle no arguments
	t.canvasID = t.options.canvasID || "main";

	t.field = null;
    t.canvas = null;
    t.ctx = null;		//canvas context 
    t.run = true;

	t.box01 = null;

	/*
		private constructor 
	*/
	var __construct = function() {
		t.canvas = document.getElementById(t.canvasID);
		t.canvas.width = 300;
        t.canvas.height = 300;
        t.ctx = t.canvas.getContext('2d');

		draw();
	}();
	

	/*
		draw
	*/
	function draw(){

		// Homer
		t.ctx.beginPath();
		t.ctx.fillStyle = '#febf3c';
		t.ctx.fillRect(35, 125, 30, 30);//	#t.x, t.y, t.width, t.height);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#ede9e7';
		t.ctx.fillRect(35, 155, 30, 35);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#39729d';
		t.ctx.fillRect(35, 190, 30, 30);
		t.ctx.stroke();

		// Marge
		t.ctx.beginPath();
		t.ctx.fillStyle = '#004d93';
		t.ctx.fillRect(80, 70, 30, 60);//	#t.x, t.y, t.width, t.height);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#febf3c';
		t.ctx.fillRect(80, 130, 30, 25);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#abb441';
		t.ctx.fillRect(80, 155, 30, 65);
		t.ctx.stroke();

		// Bart
		t.ctx.beginPath();
		t.ctx.fillStyle = '#febf3c';
		t.ctx.fillRect(130, 153, 30, 24);//	#t.x, t.y, t.width, t.height);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#e5601c';
		t.ctx.fillRect(130, 177, 30, 22);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#336995';
		t.ctx.fillRect(130, 199, 30, 21);
		t.ctx.stroke();

		// Lisa
		t.ctx.beginPath();
		t.ctx.fillStyle = '#febf3c';
		t.ctx.fillRect(180, 163, 30, 24);//	#t.x, t.y, t.width, t.height);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#f05d32';
		t.ctx.fillRect(180, 187, 30, 33);
		t.ctx.stroke();

		// Maggie
		t.ctx.beginPath();
		t.ctx.fillStyle = '#febf3c';
		t.ctx.fillRect(230, 173, 30, 22);//	#t.x, t.y, t.width, t.height);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#72a3cc';
		t.ctx.fillRect(230, 195, 30, 25);
		t.ctx.stroke();

	}

};